<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/Particles/ParticleBase.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d8/d8c/_particle_base_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ParticleBase.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d8/d8c/_particle_base_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d4/d7d/class_particle_events.html">   15</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d4/d7d/class_particle_events.html">ParticleEvents</a></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>{</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../d4/d7d/class_particle_events.html#a9d74310f8c5d886cf6b825b0265d6219">   22</a></span>    ref <a class="code hl_class" href="../../d4/d2d/class_script_invoker.html">ScriptInvoker</a> <a class="code hl_variable" href="../../d4/d7d/class_particle_events.html#a9d74310f8c5d886cf6b825b0265d6219">Event_OnParticleStart</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d4/d2d/class_script_invoker.html">ScriptInvoker</a>();</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../d4/d7d/class_particle_events.html#af57e27872bdc7b433ca487512f9a8b0b">   28</a></span>    ref <a class="code hl_class" href="../../d4/d2d/class_script_invoker.html">ScriptInvoker</a> <a class="code hl_variable" href="../../d4/d7d/class_particle_events.html#af57e27872bdc7b433ca487512f9a8b0b">Event_OnParticleStop</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d4/d2d/class_script_invoker.html">ScriptInvoker</a>();</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="../../d4/d7d/class_particle_events.html#aa33114959f9792f5598ee619af223bd6">   34</a></span>    ref <a class="code hl_class" href="../../d4/d2d/class_script_invoker.html">ScriptInvoker</a> <a class="code hl_variable" href="../../d4/d7d/class_particle_events.html#aa33114959f9792f5598ee619af223bd6">Event_OnParticleReset</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d4/d2d/class_script_invoker.html">ScriptInvoker</a>();</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="../../d4/d7d/class_particle_events.html#a26b07b824c73f4ddf964e46abf1fb0e2">   41</a></span>    ref <a class="code hl_class" href="../../d4/d2d/class_script_invoker.html">ScriptInvoker</a> <a class="code hl_variable" href="../../d4/d7d/class_particle_events.html#a26b07b824c73f4ddf964e46abf1fb0e2">Event_OnParticleEnd</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d4/d2d/class_script_invoker.html">ScriptInvoker</a>();</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="../../d4/d7d/class_particle_events.html#a60804686de4f3cfc8bb2152261df3d7e">   46</a></span>    ref <a class="code hl_class" href="../../d4/d2d/class_script_invoker.html">ScriptInvoker</a> <a class="code hl_variable" href="../../d4/d7d/class_particle_events.html#a60804686de4f3cfc8bb2152261df3d7e">Event_OnParticleParented</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d4/d2d/class_script_invoker.html">ScriptInvoker</a>();</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="../../d4/d7d/class_particle_events.html#a2353823c298ff145ffb7dc568e59a915">   51</a></span>    ref <a class="code hl_class" href="../../d4/d2d/class_script_invoker.html">ScriptInvoker</a> <a class="code hl_variable" href="../../d4/d7d/class_particle_events.html#a2353823c298ff145ffb7dc568e59a915">Event_OnParticleUnParented</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d4/d2d/class_script_invoker.html">ScriptInvoker</a>();</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>}</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span> </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span><span class="keyword">class </span><a class="code hl_function" href="../../d8/d8c/_particle_base_8c.html#a0891c73da58d29861340a81f6be81125">ParticleBase</a> : <a class="code hl_class" href="../../d2/d96/class_entity.html">Entity</a></div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>{</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno"><a class="line" href="../../d8/d8c/_particle_base_8c.html#ad9857fbca6f82cda5da70d2d8608e7f4">   63</a></span>    <span class="keyword">protected</span>   <span class="keywordtype">bool</span>    <a class="code hl_variable" href="../../d5/d2d/_effect_8c.html#a68c0359ebd2d432087c617cac5d86939">m_IsPlaying</a>;</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno"><a class="line" href="../../d8/d8c/_particle_base_8c.html#ab63d0037d85b530720ec299396ecc770">   66</a></span>    <span class="keyword">protected</span> ref <a class="code hl_class" href="../../d4/d7d/class_particle_events.html">ParticleEvents</a> <a class="code hl_variable" href="../../d8/d8c/_particle_base_8c.html#ab63d0037d85b530720ec299396ecc770">m_EventInvokers</a>;</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    </div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno"><a class="line" href="../../d8/d8c/_particle_base_8c.html#a0891c73da58d29861340a81f6be81125">   71</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d8c/_particle_base_8c.html#a0891c73da58d29861340a81f6be81125">ParticleBase</a>()</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    {</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        <a class="code hl_variable" href="../../d8/d8c/_particle_base_8c.html#ab63d0037d85b530720ec299396ecc770">m_EventInvokers</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d4/d7d/class_particle_events.html">ParticleEvents</a>();</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>    }</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    </div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    </div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    </div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno"><a class="line" href="../../d8/d8c/_particle_base_8c.html#abe0608436c6620a279169b250840f282">   79</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d5/d2d/_effect_8c.html#aa9819a141ebd3890a86a4e5df9531002">IsParticle</a>()</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>    {</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>    }</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>    </div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>    </div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>    </div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span> </div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno"><a class="line" href="../../d8/d8c/_particle_base_8c.html#a017e74956df0e26228d0fb560c5d4df0">   96</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d8c/_particle_base_8c.html#a017e74956df0e26228d0fb560c5d4df0">PlayParticle</a>(<span class="keywordtype">int</span> <a class="code hl_variable" href="../../db/d9c/_smoke_simulation_8c.html#a7ccc29a80f5e39e2fa08fabc79bca587">particle_id</a> = -1)</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>    {</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        <a class="code hl_variable" href="../../d6/dae/group___debug_shape.html#ga30f13400906443efe9fb79540dc674b5">ErrorEx</a>(<span class="stringliteral">&quot;Not implemented.&quot;</span>, <a class="code hl_enumeration" href="../../d0/d62/group___debug.html#ga750f272dd3e344b461130dece1aea917">ErrorExSeverity</a>.WARNING);</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>    }</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>    </div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno"><a class="line" href="../../d8/d8c/_particle_base_8c.html#a69c668facec8532a8e24c855877a4cee">  107</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/d8c/_particle_base_8c.html#a69c668facec8532a8e24c855877a4cee">PlayParticleEx</a>(<span class="keywordtype">int</span> <a class="code hl_variable" href="../../db/d9c/_smoke_simulation_8c.html#a7ccc29a80f5e39e2fa08fabc79bca587">particle_id</a> = -1, <span class="keywordtype">int</span> flags = 0)</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>    {</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        <a class="code hl_variable" href="../../d6/dae/group___debug_shape.html#ga30f13400906443efe9fb79540dc674b5">ErrorEx</a>(<span class="stringliteral">&quot;Not implemented.&quot;</span>, <a class="code hl_enumeration" href="../../d0/d62/group___debug.html#ga750f272dd3e344b461130dece1aea917">ErrorExSeverity</a>.WARNING);</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>    }</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span> </div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno"><a class="line" href="../../d8/d8c/_particle_base_8c.html#a3711f4e4a67e8ad68d0fae64cf233dbf">  118</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/d8c/_particle_base_8c.html#a3711f4e4a67e8ad68d0fae64cf233dbf">StopParticle</a>(<span class="keywordtype">int</span> flags = 0)</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>    {</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>        <a class="code hl_variable" href="../../d6/dae/group___debug_shape.html#ga30f13400906443efe9fb79540dc674b5">ErrorEx</a>(<span class="stringliteral">&quot;Not implemented.&quot;</span>, <a class="code hl_enumeration" href="../../d0/d62/group___debug.html#ga750f272dd3e344b461130dece1aea917">ErrorExSeverity</a>.WARNING);</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>    }</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>    </div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno"><a class="line" href="../../d8/d8c/_particle_base_8c.html#a37399739c08fb2c5c9df43d35e7fc3d9">  128</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/d8c/_particle_base_8c.html#a37399739c08fb2c5c9df43d35e7fc3d9">ResetParticle</a>()</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>    {</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>        <a class="code hl_variable" href="../../d6/dae/group___debug_shape.html#ga30f13400906443efe9fb79540dc674b5">ErrorEx</a>(<span class="stringliteral">&quot;Not implemented.&quot;</span>, <a class="code hl_enumeration" href="../../d0/d62/group___debug.html#ga750f272dd3e344b461130dece1aea917">ErrorExSeverity</a>.WARNING);</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>    }</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span> </div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno"><a class="line" href="../../d8/d8c/_particle_base_8c.html#a4003276d70e832eda59bc0e4f680640b">  138</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/d8c/_particle_base_8c.html#a4003276d70e832eda59bc0e4f680640b">RestartParticle</a>()</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>    {</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>        <a class="code hl_variable" href="../../d6/dae/group___debug_shape.html#ga30f13400906443efe9fb79540dc674b5">ErrorEx</a>(<span class="stringliteral">&quot;Not implemented.&quot;</span>, <a class="code hl_enumeration" href="../../d0/d62/group___debug.html#ga750f272dd3e344b461130dece1aea917">ErrorExSeverity</a>.WARNING);</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>    }</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span> </div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno"><a class="line" href="../../d8/d8c/_particle_base_8c.html#ab983ec86fb5776b6a48f727a332ac612">  148</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/d8c/_particle_base_8c.html#ab983ec86fb5776b6a48f727a332ac612">IsParticlePlaying</a>()</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>    {</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>        <a class="code hl_variable" href="../../d6/dae/group___debug_shape.html#ga30f13400906443efe9fb79540dc674b5">ErrorEx</a>(<span class="stringliteral">&quot;Not implemented.&quot;</span>, <a class="code hl_enumeration" href="../../d0/d62/group___debug.html#ga750f272dd3e344b461130dece1aea917">ErrorExSeverity</a>.WARNING);</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>    }</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>    </div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>    </div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>    </div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>    </div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno"><a class="line" href="../../d8/d8c/_particle_base_8c.html#a16e1931b2da7a7e0c16f3bfacc1a5e28">  162</a></span>    <a class="code hl_class" href="../../d4/d7d/class_particle_events.html">ParticleEvents</a> <a class="code hl_function" href="../../d8/d8c/_particle_base_8c.html#a16e1931b2da7a7e0c16f3bfacc1a5e28">GetEvents</a>()</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>    {</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d8/d8c/_particle_base_8c.html#ab63d0037d85b530720ec299396ecc770">m_EventInvokers</a>;</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>    }</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>    </div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>    </div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>    </div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>    </div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno"><a class="line" href="../../d8/d8c/_particle_base_8c.html#aab1c2d7dc38b18a57b2f5355d71e78c6">  179</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d8c/_particle_base_8c.html#aab1c2d7dc38b18a57b2f5355d71e78c6">OnParticleStart</a>()</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>    {</div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>        <a class="code hl_variable" href="../../d5/d2d/_effect_8c.html#a68c0359ebd2d432087c617cac5d86939">m_IsPlaying</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>        <a class="code hl_function" href="../../d8/d8c/_particle_base_8c.html#a16e1931b2da7a7e0c16f3bfacc1a5e28">GetEvents</a>().<a class="code hl_variable" href="../../d4/d7d/class_particle_events.html#a9d74310f8c5d886cf6b825b0265d6219">Event_OnParticleStart</a>.<a class="code hl_function" href="../../d4/d2d/class_script_invoker.html#a92afb05a0027c1949c5364a8e035e1c9">Invoke</a>(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>    }</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>    </div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno"><a class="line" href="../../d8/d8c/_particle_base_8c.html#a97c3330238d75104c202cee5a00b3097">  188</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d8c/_particle_base_8c.html#a97c3330238d75104c202cee5a00b3097">OnParticleStop</a>()</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>    {</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>        <a class="code hl_variable" href="../../d5/d2d/_effect_8c.html#a68c0359ebd2d432087c617cac5d86939">m_IsPlaying</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>        <a class="code hl_function" href="../../d8/d8c/_particle_base_8c.html#a16e1931b2da7a7e0c16f3bfacc1a5e28">GetEvents</a>().<a class="code hl_variable" href="../../d4/d7d/class_particle_events.html#af57e27872bdc7b433ca487512f9a8b0b">Event_OnParticleStop</a>.<a class="code hl_function" href="../../d4/d2d/class_script_invoker.html#a92afb05a0027c1949c5364a8e035e1c9">Invoke</a>(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>    }</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>    </div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno"><a class="line" href="../../d8/d8c/_particle_base_8c.html#a0b583569338a229c73ccc699a45c7bc1">  197</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d8c/_particle_base_8c.html#a0b583569338a229c73ccc699a45c7bc1">OnParticleReset</a>()</div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>    {</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>        <a class="code hl_function" href="../../d8/d8c/_particle_base_8c.html#a16e1931b2da7a7e0c16f3bfacc1a5e28">GetEvents</a>().<a class="code hl_variable" href="../../d4/d7d/class_particle_events.html#aa33114959f9792f5598ee619af223bd6">Event_OnParticleReset</a>.<a class="code hl_function" href="../../d4/d2d/class_script_invoker.html#a92afb05a0027c1949c5364a8e035e1c9">Invoke</a>(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>    }</div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>    </div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno"><a class="line" href="../../d8/d8c/_particle_base_8c.html#a3cc2bbd94b8a97314ec8376c00e6aa85">  206</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d8c/_particle_base_8c.html#a3cc2bbd94b8a97314ec8376c00e6aa85">OnParticleEnd</a>()</div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>    {</div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span>        <a class="code hl_function" href="../../d8/d8c/_particle_base_8c.html#a16e1931b2da7a7e0c16f3bfacc1a5e28">GetEvents</a>().<a class="code hl_variable" href="../../d4/d7d/class_particle_events.html#a26b07b824c73f4ddf964e46abf1fb0e2">Event_OnParticleEnd</a>.<a class="code hl_function" href="../../d4/d2d/class_script_invoker.html#a92afb05a0027c1949c5364a8e035e1c9">Invoke</a>(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span>    }</div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>    </div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno"><a class="line" href="../../d8/d8c/_particle_base_8c.html#aa7996b3b565d3714d89c92da2929915f">  214</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d8c/_particle_base_8c.html#aa7996b3b565d3714d89c92da2929915f">OnParticleParented</a>(<a class="code hl_class" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> parent)</div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span>    {</div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span>        <a class="code hl_function" href="../../d8/d8c/_particle_base_8c.html#a16e1931b2da7a7e0c16f3bfacc1a5e28">GetEvents</a>().<a class="code hl_variable" href="../../d4/d7d/class_particle_events.html#a60804686de4f3cfc8bb2152261df3d7e">Event_OnParticleParented</a>.<a class="code hl_function" href="../../d4/d2d/class_script_invoker.html#a92afb05a0027c1949c5364a8e035e1c9">Invoke</a>(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span>    }</div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span>    </div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno"><a class="line" href="../../d8/d8c/_particle_base_8c.html#ad4cfd98d0a476daa9e65c70e787762d1">  222</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d8c/_particle_base_8c.html#ad4cfd98d0a476daa9e65c70e787762d1">OnParticleUnParented</a>(<a class="code hl_class" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> parent)</div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span>    {</div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span>        <a class="code hl_function" href="../../d8/d8c/_particle_base_8c.html#a16e1931b2da7a7e0c16f3bfacc1a5e28">GetEvents</a>().<a class="code hl_variable" href="../../d4/d7d/class_particle_events.html#a2353823c298ff145ffb7dc568e59a915">Event_OnParticleUnParented</a>.<a class="code hl_function" href="../../d4/d2d/class_script_invoker.html#a92afb05a0027c1949c5364a8e035e1c9">Invoke</a>(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span>    }</div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span>    </div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span>}</div>
<div class="ttc" id="a_effect_8c_html_a68c0359ebd2d432087c617cac5d86939"><div class="ttname"><a href="../../d5/d2d/_effect_8c.html#a68c0359ebd2d432087c617cac5d86939">m_IsPlaying</a></div><div class="ttdeci">protected bool m_IsPlaying</div><div class="ttdoc">Whether the Effect is currently playing.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2d/_effect_8c_source.html#l00037">Effect.c:37</a></div></div>
<div class="ttc" id="a_effect_8c_html_aa9819a141ebd3890a86a4e5df9531002"><div class="ttname"><a href="../../d5/d2d/_effect_8c.html#aa9819a141ebd3890a86a4e5df9531002">IsParticle</a></div><div class="ttdeci">bool IsParticle()</div><div class="ttdoc">Check whether the Effect is EffectParticle without casting.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2d/_effect_8c_source.html#l00134">Effect.c:134</a></div></div>
<div class="ttc" id="a_particle_base_8c_html_a017e74956df0e26228d0fb560c5d4df0"><div class="ttname"><a href="../../d8/d8c/_particle_base_8c.html#a017e74956df0e26228d0fb560c5d4df0">PlayParticle</a></div><div class="ttdeci">void PlayParticle(int particle_id=-1)</div><div class="ttdoc">Method to tell the particle to start playing.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d8c/_particle_base_8c_source.html#l00096">ParticleBase.c:96</a></div></div>
<div class="ttc" id="a_particle_base_8c_html_a0891c73da58d29861340a81f6be81125"><div class="ttname"><a href="../../d8/d8c/_particle_base_8c.html#a0891c73da58d29861340a81f6be81125">ParticleBase</a></div><div class="ttdeci">void ParticleBase()</div><div class="ttdoc">ctor</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d8c/_particle_base_8c_source.html#l00071">ParticleBase.c:71</a></div></div>
<div class="ttc" id="a_particle_base_8c_html_a0b583569338a229c73ccc699a45c7bc1"><div class="ttname"><a href="../../d8/d8c/_particle_base_8c.html#a0b583569338a229c73ccc699a45c7bc1">OnParticleReset</a></div><div class="ttdeci">protected void OnParticleReset()</div><div class="ttdoc">Event when the particle is restarted.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d8c/_particle_base_8c_source.html#l00197">ParticleBase.c:197</a></div></div>
<div class="ttc" id="a_particle_base_8c_html_a16e1931b2da7a7e0c16f3bfacc1a5e28"><div class="ttname"><a href="../../d8/d8c/_particle_base_8c.html#a16e1931b2da7a7e0c16f3bfacc1a5e28">GetEvents</a></div><div class="ttdeci">ParticleEvents GetEvents()</div><div class="ttdoc">Get the events.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d8c/_particle_base_8c_source.html#l00162">ParticleBase.c:162</a></div></div>
<div class="ttc" id="a_particle_base_8c_html_a3711f4e4a67e8ad68d0fae64cf233dbf"><div class="ttname"><a href="../../d8/d8c/_particle_base_8c.html#a3711f4e4a67e8ad68d0fae64cf233dbf">StopParticle</a></div><div class="ttdeci">bool StopParticle(int flags=0)</div><div class="ttdoc">Method to tell the particle to stop playing.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d8c/_particle_base_8c_source.html#l00118">ParticleBase.c:118</a></div></div>
<div class="ttc" id="a_particle_base_8c_html_a37399739c08fb2c5c9df43d35e7fc3d9"><div class="ttname"><a href="../../d8/d8c/_particle_base_8c.html#a37399739c08fb2c5c9df43d35e7fc3d9">ResetParticle</a></div><div class="ttdeci">bool ResetParticle()</div><div class="ttdoc">Method to tell the particle to reset.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d8c/_particle_base_8c_source.html#l00128">ParticleBase.c:128</a></div></div>
<div class="ttc" id="a_particle_base_8c_html_a3cc2bbd94b8a97314ec8376c00e6aa85"><div class="ttname"><a href="../../d8/d8c/_particle_base_8c.html#a3cc2bbd94b8a97314ec8376c00e6aa85">OnParticleEnd</a></div><div class="ttdeci">protected void OnParticleEnd()</div><div class="ttdoc">Event when the particle ends.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d8c/_particle_base_8c_source.html#l00206">ParticleBase.c:206</a></div></div>
<div class="ttc" id="a_particle_base_8c_html_a4003276d70e832eda59bc0e4f680640b"><div class="ttname"><a href="../../d8/d8c/_particle_base_8c.html#a4003276d70e832eda59bc0e4f680640b">RestartParticle</a></div><div class="ttdeci">bool RestartParticle()</div><div class="ttdoc">Method to tell the particle to restart (reset + play)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d8c/_particle_base_8c_source.html#l00138">ParticleBase.c:138</a></div></div>
<div class="ttc" id="a_particle_base_8c_html_a69c668facec8532a8e24c855877a4cee"><div class="ttname"><a href="../../d8/d8c/_particle_base_8c.html#a69c668facec8532a8e24c855877a4cee">PlayParticleEx</a></div><div class="ttdeci">bool PlayParticleEx(int particle_id=-1, int flags=0)</div><div class="ttdoc">Method to tell the particle to start playing.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d8c/_particle_base_8c_source.html#l00107">ParticleBase.c:107</a></div></div>
<div class="ttc" id="a_particle_base_8c_html_a97c3330238d75104c202cee5a00b3097"><div class="ttname"><a href="../../d8/d8c/_particle_base_8c.html#a97c3330238d75104c202cee5a00b3097">OnParticleStop</a></div><div class="ttdeci">protected void OnParticleStop()</div><div class="ttdoc">Event when the particle stops.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d8c/_particle_base_8c_source.html#l00188">ParticleBase.c:188</a></div></div>
<div class="ttc" id="a_particle_base_8c_html_aa7996b3b565d3714d89c92da2929915f"><div class="ttname"><a href="../../d8/d8c/_particle_base_8c.html#aa7996b3b565d3714d89c92da2929915f">OnParticleParented</a></div><div class="ttdeci">protected void OnParticleParented(IEntity parent)</div><div class="ttdoc">Event when the particle receives a parent.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d8c/_particle_base_8c_source.html#l00214">ParticleBase.c:214</a></div></div>
<div class="ttc" id="a_particle_base_8c_html_aab1c2d7dc38b18a57b2f5355d71e78c6"><div class="ttname"><a href="../../d8/d8c/_particle_base_8c.html#aab1c2d7dc38b18a57b2f5355d71e78c6">OnParticleStart</a></div><div class="ttdeci">protected void OnParticleStart()</div><div class="ttdoc">Event when the particle starts.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d8c/_particle_base_8c_source.html#l00179">ParticleBase.c:179</a></div></div>
<div class="ttc" id="a_particle_base_8c_html_ab63d0037d85b530720ec299396ecc770"><div class="ttname"><a href="../../d8/d8c/_particle_base_8c.html#ab63d0037d85b530720ec299396ecc770">m_EventInvokers</a></div><div class="ttdeci">protected ref ParticleEvents m_EventInvokers</div><div class="ttdoc">Event invokers.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d8c/_particle_base_8c_source.html#l00066">ParticleBase.c:66</a></div></div>
<div class="ttc" id="a_particle_base_8c_html_ab983ec86fb5776b6a48f727a332ac612"><div class="ttname"><a href="../../d8/d8c/_particle_base_8c.html#ab983ec86fb5776b6a48f727a332ac612">IsParticlePlaying</a></div><div class="ttdeci">bool IsParticlePlaying()</div><div class="ttdoc">Ask if the particle is still playing.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d8c/_particle_base_8c_source.html#l00148">ParticleBase.c:148</a></div></div>
<div class="ttc" id="a_particle_base_8c_html_ad4cfd98d0a476daa9e65c70e787762d1"><div class="ttname"><a href="../../d8/d8c/_particle_base_8c.html#ad4cfd98d0a476daa9e65c70e787762d1">OnParticleUnParented</a></div><div class="ttdeci">protected void OnParticleUnParented(IEntity parent)</div><div class="ttdoc">Event when the particle is orphaned.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d8c/_particle_base_8c_source.html#l00222">ParticleBase.c:222</a></div></div>
<div class="ttc" id="a_smoke_simulation_8c_html_a7ccc29a80f5e39e2fa08fabc79bca587"><div class="ttname"><a href="../../db/d9c/_smoke_simulation_8c.html#a7ccc29a80f5e39e2fa08fabc79bca587">particle_id</a></div><div class="ttdeci">int particle_id</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d9c/_smoke_simulation_8c_source.html#l00028">SmokeSimulation.c:28</a></div></div>
<div class="ttc" id="aclass_entity_html"><div class="ttname"><a href="../../d2/d96/class_entity.html">Entity</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/dcc/_camera_8c_source.html#l00001">Camera.c:2</a></div></div>
<div class="ttc" id="aclass_particle_events_html"><div class="ttname"><a href="../../d4/d7d/class_particle_events.html">ParticleEvents</a></div><div class="ttdoc">Invokers for ParticleBase events, called from events.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d8c/_particle_base_8c_source.html#l00015">ParticleBase.c:16</a></div></div>
<div class="ttc" id="aclass_particle_events_html_a2353823c298ff145ffb7dc568e59a915"><div class="ttname"><a href="../../d4/d7d/class_particle_events.html#a2353823c298ff145ffb7dc568e59a915">ParticleEvents::Event_OnParticleUnParented</a></div><div class="ttdeci">ref ScriptInvoker Event_OnParticleUnParented</div><div class="ttdoc">Called when particle is orphaned.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d8c/_particle_base_8c_source.html#l00051">ParticleBase.c:51</a></div></div>
<div class="ttc" id="aclass_particle_events_html_a26b07b824c73f4ddf964e46abf1fb0e2"><div class="ttname"><a href="../../d4/d7d/class_particle_events.html#a26b07b824c73f4ddf964e46abf1fb0e2">ParticleEvents::Event_OnParticleEnd</a></div><div class="ttdeci">ref ScriptInvoker Event_OnParticleEnd</div><div class="ttdoc">Called when particle ends.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d8c/_particle_base_8c_source.html#l00041">ParticleBase.c:41</a></div></div>
<div class="ttc" id="aclass_particle_events_html_a60804686de4f3cfc8bb2152261df3d7e"><div class="ttname"><a href="../../d4/d7d/class_particle_events.html#a60804686de4f3cfc8bb2152261df3d7e">ParticleEvents::Event_OnParticleParented</a></div><div class="ttdeci">ref ScriptInvoker Event_OnParticleParented</div><div class="ttdoc">Called when particle receives a parent.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d8c/_particle_base_8c_source.html#l00046">ParticleBase.c:46</a></div></div>
<div class="ttc" id="aclass_particle_events_html_a9d74310f8c5d886cf6b825b0265d6219"><div class="ttname"><a href="../../d4/d7d/class_particle_events.html#a9d74310f8c5d886cf6b825b0265d6219">ParticleEvents::Event_OnParticleStart</a></div><div class="ttdeci">ref ScriptInvoker Event_OnParticleStart</div><div class="ttdoc">Called when particle starts playing.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d8c/_particle_base_8c_source.html#l00022">ParticleBase.c:22</a></div></div>
<div class="ttc" id="aclass_particle_events_html_aa33114959f9792f5598ee619af223bd6"><div class="ttname"><a href="../../d4/d7d/class_particle_events.html#aa33114959f9792f5598ee619af223bd6">ParticleEvents::Event_OnParticleReset</a></div><div class="ttdeci">ref ScriptInvoker Event_OnParticleReset</div><div class="ttdoc">Called when particle is reset.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d8c/_particle_base_8c_source.html#l00034">ParticleBase.c:34</a></div></div>
<div class="ttc" id="aclass_particle_events_html_af57e27872bdc7b433ca487512f9a8b0b"><div class="ttname"><a href="../../d4/d7d/class_particle_events.html#af57e27872bdc7b433ca487512f9a8b0b">ParticleEvents::Event_OnParticleStop</a></div><div class="ttdeci">ref ScriptInvoker Event_OnParticleStop</div><div class="ttdoc">Called when particle stops playing.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d8c/_particle_base_8c_source.html#l00028">ParticleBase.c:28</a></div></div>
<div class="ttc" id="aclass_script_invoker_html"><div class="ttname"><a href="../../d4/d2d/class_script_invoker.html">ScriptInvoker</a></div><div class="ttdoc">ScriptInvoker Class provide list of callbacks   usage:</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/ded/2___game_lib_2tools_8c_source.html#l00115">tools.c:116</a></div></div>
<div class="ttc" id="aclass_script_invoker_html_a92afb05a0027c1949c5364a8e035e1c9"><div class="ttname"><a href="../../d4/d2d/class_script_invoker.html#a92afb05a0027c1949c5364a8e035e1c9">ScriptInvoker::Invoke</a></div><div class="ttdeci">proto void Invoke(void param1=NULL, void param2=NULL, void param3=NULL, void param4=NULL, void param5=NULL, void param6=NULL, void param7=NULL, void param8=NULL, void param9=NULL)</div><div class="ttdoc">invoke call on all inserted methods with given arguments</div></div>
<div class="ttc" id="agroup___debug_html_ga750f272dd3e344b461130dece1aea917"><div class="ttname"><a href="../../d0/d62/group___debug.html#ga750f272dd3e344b461130dece1aea917">ErrorExSeverity</a></div><div class="ttdeci">ErrorExSeverity</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d19/_en_debug_8c_source.html#l00061">EnDebug.c:62</a></div></div>
<div class="ttc" id="agroup___debug_shape_html_ga30f13400906443efe9fb79540dc674b5"><div class="ttname"><a href="../../d6/dae/group___debug_shape.html#ga30f13400906443efe9fb79540dc674b5">ErrorEx</a></div><div class="ttdeci">enum ShapeType ErrorEx</div></div>
<div class="ttc" id="agroup___entity_attributes_html_dc/da9/class_i_entity"><div class="ttname"><a href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/dd5/_en_entity_8c_source.html#l00164">EnEntity.c:165</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_f2e6f91e0f5fdd26aac18974f712661e.html">Particles</a></li><li class="navelem"><a class="el" href="../../d8/d8c/_particle_base_8c.html">ParticleBase.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
